[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# EVariantNotAnArrayError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Error raised when an array operation is performed on a non-array variant

## Declaration

Source position: variants.pp line 42

`type EVariantNotAnArrayError = class(EVariantError)`

## Inheritance

`EVariantNotAnArrayError` |  | Error raised when an array operation is performed on a non-array variant
`EVariantError` |  | Variant error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EVariantNotAnArrayError is not used in FPC and is defined for Delphi compatibility.

## See also

VarResultCheck |  | Check the result of an operation and raise exception if not OK.